/ Gather the columns for the headers for the listing
- columns = []
- ((outputs[0] || {})[:values] || {}).each do |k,v|
  - (v || {}).each do |inputIndex, configuration|
    - (configuration || {}).keys.each do |key|
      - columns << [k.intern, inputIndex.intern, key.intern]

/ List all the outputs
table.outputs
  / Write out the headers
  thead
    tr.list-header
      th
        span.icon
          == svg(:objects, :object, :class => "icon")
      th
        p
          | Name
      /th
        p
          | Type
      - columns.each do |item|
        - baseToken, inputIndex, key = item
        - schema = (((outputs[0][:schemata] || {})[baseToken] || {})[inputIndex] || {})[key]
        - label = schema[:label] || key.to_s.split('.')[-1]
        th
          p
            = label
      th.actions
        p
          | Actions

    / The row that allows for a new output
    tr.output.new-run
      td
        span.icon
          == svg(:objects, :object, :class => "icon")
      td
        p
          | New Output
      /td

      / Write out columns for configured data
      - columns.each_with_index do |item, i|
        - baseToken, inputIndex, key = item
        td.configuration-column data-index=i.to_s
          - schema = (((outputs[0][:schemata] || {})[baseToken] || {})[inputIndex] || {})[key]

          / Invoke the configurator helper (../../helpers/configurator.rb)
          == renderConfigurationFieldInput(schema, nil, key)
      td.actions
        form action="/covid-lab/models/#{model.id}/run" method=:post
          button.run type=:submit
            | Run

  tbody

    / For each output, render it
    - outputs = outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs + outputs
    - outputs.each do |output|
      - metadata = output[:object]
      - object = Occam::Object.new(:id => metadata[:id],
                                   :revision => metadata[:revision],
                                   :uid => metadata[:uid],
                                   :info => metadata,
                                   :account => covid_account,
                                   :status => metadata)

      tr.output
        td
          span.icon
            == svg(:objects, object.iconID, :class => "icon")
        td
          p
            a href="/covid-lab/models/#{model.id}/outputs/#{object.id}"
              = metadata[:name]
        /td
          p
            = metadata[:type]

        / Write out columns for configured data
        - if metadata
          - columns.each_with_index do |item, i|
            - baseToken, inputIndex, key = item
            td.configuration-column data-index=i.to_s
              p data-index=i.to_s
                - value = (((output[:configurations][baseToken] || {})[inputIndex] || {})[:configuration] || {})[key]
                - if value.nil?
                  - schema = (((outputs[0][:schemata] || {})[baseToken] || {})[inputIndex] || {})[key]
                  - value = schema[:default] || "N/A"

                = value
        td.actions
          a href=object.url(:path => "files") target=:_blank
            | View
          a.fork href="#"
            | Reuse
